#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-2MtkDLrmrIt736tfBcualv
key:                  lsp-1.2.0.1-2MtkDLrmrIt736tfBcualv
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  2316f5464245e18268da1c6a0d77ca14
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-GjRuwXXsqwqKOmtgazl2yY:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-GjRuwXXsqwqKOmtgazl2yY:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-GjRuwXXsqwqKOmtgazl2yY:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-GjRuwXXsqwqKOmtgazl2yY:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/lsp-1.2.0.1
hs-libraries:         HSlsp-1.2.0.1-2MtkDLrmrIt736tfBcualv
depends:
    aeson-1.5.6.0-AIOjF99b4i15RTiIgKIYjO
    async-2.2.4-8sLB6hUiUR1C0IUnNhsCKF
    attoparsec-0.14.4-D5og7XyPWkJ5mYaAXELiLF base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R
    dependent-map-0.4.0.0-CvNqDr4zb4fNYBJfvsTOy exceptions-0.10.4
    hashable-1.4.0.0-1WceaWFbireGDX0CpHAq2k
    hslogger-1.3.1.0-182K6wJRld0D6V5Z03FNCw
    lens-5.1-GygwND1WcrcIy7A7vmuRWa
    lsp-types-1.3.0.1-GjRuwXXsqwqKOmtgazl2yY mtl-2.2.2
    network-uri-2.6.4.1-8f9i79TUj715JZhvQgaY4U
    random-1.2.1-E5Bfz23dMerGrWF0X9btYW
    scientific-0.3.7.0-65DCAuzTAutLqM6Vcsju3Y
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.17.0-3BdVQ0XjWEwL87G4XZjXWP
    uuid-1.3.15-3UYs91coQFJ5fvXTwuM36Y

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

